/*
-----------------------------------------------------------
Verifica se uma opcao existe                     28/08/2020

Varre os argumentos da linha de comando para verificar se
uma opcao existe.
Retorna 0 (zero) se a opcao existe.
Retorna -1 se nao existe.

Exemplo: Verificar se existe a opcao "-de" na linha de
         comando:

         if( getPgmOpt("-de", argc, argv) == 0 ) {
             printf("Opcao existe\n");
         }

-----------------------------------------------------------
*/
#include <string.h>
int checkOpt(char* opt, int argc, char* argv[]) {
   int ix = 0;
    while(ix < argc ) {
     if( strcmp(argv[ix], opt) == 0 ) {
       return 0;
     }
     ix++;
   }
   return -1;
}
