#include <stdio.h>
void help(void) {
 printf("-de    - Dump da memoria EEPROM.\n");
 printf("-dc    - Dump da memoria de configuracao.\n");
 printf("-dp    - Dump da memoria de programa.\n");
 printf("-ee    - Apaga memoria EEPROM.\n");
 printf("-ep    - Apaga memoria de programa e de configuracao.\n");
 printf("-h     - Mostra esta ajuda.\n");
 printf("-pic   - Especifica o nome do chip alvo:\n");
 printf("         --> sppp /dev/ttyUSB0 -pic pic12f675\n");
 printf("-wp    - Requisita a gravacao do arquivo '.hex' no chip alvo.\n");
 printf("         --> sppp /dev/ttyUSB0 -pic pic16F628A -wp ledpisca.hex\n");
 printf("-vd    - Verifica a tensao de alimentacao acendendo o LED vermelho.\n");
 printf("-vp    - Verifica a tensao de programacao acendendo o LED azul.\n");
 printf("-v     - Exibe informacoes sobre o chip alvo\n");

 printf("\nEXEMPLOS\n\n");
 printf("Obter informacoes sobre o chip alvo:\n");
 printf(">> sppp /dev/ttyUSB0 -v\n\n");

 printf("Exibir conteudo da memoria EEPROM:\n");
 printf(">> sppp /dev/ttyUSB0 -de\n\n");

 printf("Exibir conteudo da memoria de programa:\n");
 printf(">> sppp /dev/ttyUSB0 -dp | less\n\n");

 printf("Gravar um programa no chip alvo:\n");
 printf(">> sppp /dev/ttyUSB0 -pic PIC16F688 -wp ...path/piscaled.hex\n\n");

 printf("Verificar a tensao de alimentacao:\n");
 printf(">> sppp /dev/ttyUSB0 -vd\n\n");

 printf("\n\n");
}
