/*
// -----------------------------------------------------------------------------
// ascii2hex.h                                                        26/07/2020
//
// Converte um numero no formatto ASCII de '0' a 'F' em hexadecimal.
//
// Chamada:    x = ascii2hex('3');   resultara em x=0x03
//
// -----------------------------------------------------------------------------
*/
unsigned int ascii2hex( unsigned int ascbyte ) {

    if(ascbyte > '9') { 
       ascbyte += 9;
    }
    return (ascbyte & 0x0F);

}

