/*
 ---------------------------------------------------------------------------
 Verificacao do nome do chip                                      29/08/2020

 Confronta o nome do chip passado no argumento -pic com o do chip alvo
 montado no programador.

 Entradas: char *micro ........... nome do chip no argumento -pic
           int id ................ Device ID lido na memoria de configuracao
 ---------------------------------------------------------------------------
*/
#include <stdio.h>
#include <string.h>
#include <string.h>
#include "Includes/getchipid.h"
#include "Includes/getpicid.h"
int checkChip(char *micro) {

  extern char picid[12];                 /* usado por getPicId() */
  /* Pega o ID do chip alvo montado no programador */
  unsigned int chipid = getChipId();  // pega ID do chip montado
  char devid[4];
  sprintf(devid, "%x", chipid);       // converte chipid de int para char
  //printf("checkChip(1): CHIP INFORMADO=%s CHIP DETETADO=%s\n", micro, devid);

  /* Pega o ID do chip informado na opcao '-pic' da linha de comando */
  getPicId(micro);
  /* printf("checkChip(2): Na tabela: %s\n", picid); */


  if(strcmp(devid, picid) == 0 ) {
     return 0;
  }

  printf("checkChip(95): CHIP INFORMADO NO ARGUMENTO \'-pic\' DIFERENTE DO ALVO\n");
  printf("checkChip(96): PIC INFORMADO: %s PIC DETETADO: %s\n",micro, devid);

  printf("\n\n");
  printf("checkChip(97): CUIDADO!!!\n");
  printf("checkChip(98): O CHIP INFORMADO NAO EQUIVALE AO CHIP MONTADO\n");
  printf("checkCHip(99): PROGRAMA ENCERRADO\n\n");
  return -1;
}   /*  END OF checkChip() */
